Bug 492871 - configure-proxy.sh fails: /sbin/runuser: user apache does not exist
configure-proxy.sh fails: /sbin/runuser: user apache does not exist
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite Proxy 5
Classification: Red Hat
Component: Installer (Show other bugs)
530
All Linux
low Severity low
: ---
: ---
Assigned To: Miroslav Suchý
Michael Mráka
:
Depends On:
Blocks: 456999 457079 486216
  Show dependency treegraph
 
Reported: 2009-03-30 09:51 EDT by Michael Mráka
Modified: 2009-09-10 10:38 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 10:38:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Mráka 2009-03-30 09:51:01 EDT
Description of problem:
configure-proxy.sh runs runuser apache but user apache does not exist.


Version-Release number of selected component (if applicable):
RHN-Proxy-5.3.0-RHEL4-re20090327.0 x86_64
RHN-Tools-5.3.0-RHEL4-re20090327.0

How reproducible:
always, 

Steps to Reproduce:
1. /usr/sbin/configure-proxy.sh --answer-file=proxy-answer.txt --non-interactive
2.
3.
  
Actual results:
Proxy version to activate [5.3]: 5.3
RHN Parent [xmlrpc.rhn.webqa.redhat.com]: 
Traceback email [michael.mraka@redhat.com]: michael.mraka@redhat.com
Use SSL [Y]: Y
CA Chain [/usr/share/rhn/RHNS-CA-CERT]: /usr/share/rhn/RHNS-CA-CERT
/sbin/runuser: user apache does not exist
Error: File /usr/share/rhn/RHNS-CA-CERT is not readable by apache user.

Expected results:
no error, proxy installs

Additional info:
Comment 1 Miroslav Suchý 2009-03-30 10:53:12 EDT
Commited as c120c33d10ca7ebf2887f01a31e4edb1a616dc2f
Fixed in spacewalk-proxy-installer-0.5.25-1
Comment 2 Michael Mráka 2009-04-07 04:25:49 EDT
Verified. RHN-Proxy-5.3.0-RHEL4-re20090403.0
Comment 3 Jan Pazdziora 2009-09-09 02:41:02 EDT
Stage validated with Satellite 5.3.0 Gold and RHN Proxy Gold, installing the Proxy both on RHEL 4 and RHEL 5. Moving to RELEASE_PENDING.
Comment 4 Brandon Perkins 2009-09-10 10:38:09 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1433.html

Note You need to log in before you can comment on or make changes to this bug.